#ifndef _DUMP_H
#define _DUMP_H

//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// dump.h - functions used to dump data structure entries into the xml file
//

#include <stdio.h>

#include "common.h"
#include "locodef.h"

extern int dumpclass;

// get an unsigned and a signed value of the given size from data
uint32_t getuvalue(uint8_t *data, int size);
int32_t getsvalue(uint8_t *data, int size);
int32_t getvalue(uint8_t *data, int size);


// dump various structures, variables and bit fields to the xml file
uint32_t dumpflags(FILE *xml, uint8_t *data, const char **flags, int size, int indentation);
uint32_t dumpvars(FILE *xml, uint8_t *data, varinf *vars);
uint32_t dumplang(FILE *xml, uint8_t *data, int num);
uint32_t dumpuseobj(FILE *xml, uint8_t *data, int num, int total, useobjid type, int32_t *classes);
uint32_t dumpcap(FILE *xml, uint8_t *data, int num, int total);
uint32_t dumpsprites(FILE *xml, uint8_t *data);
uint32_t dumpsounds(FILE *xml, uint8_t *data);
uint32_t dumpaux(FILE *xml, uint8_t *data, int nameind, int id, int numid, int size, int num);
uint32_t dumpstrtable(FILE *xml, uint8_t *data, int id, int num);

#endif // ndef _DUMP_H
