#ifndef _OPTIONS_H
#define _OPTIONS_H

//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// options.h - global variables and options plus functions to use/set them
//

extern int embedpng;	// embed PNG data in the XML file
extern int allinone;	// put all sprites into a single PNG file
extern int palettetype;	// which colour palette to use for company colours
extern int quiet;	// no output, no messages, fail silently
extern int demofile;	// if 1, generate checksum for the demo
extern int allunknown;	// if 1, print all unknown variables, even empty ones
extern int onlysetbits;	// if 1, don't generate unset bits, even known ones

#include "locotool.h"

char *LocoTool_set_str_option(en_stroption opt, char *str);
char *LocoTool_get_str_option(en_stroption opt);
int LocoTool_get_str_option_copy(en_stroption opt);
int LocoTool_set_int_option(en_stroption opt, int val);
int LocoTool_get_int_option(en_stroption opt);
void clearoptions(void);
char *makefilename(const char *suffix);
char *makepngname(int num);
void setfilebase(char *fname);

#endif // ndef _OPTIONS_H
