#ifndef _PNG_H
#define _PNG_H

//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// png.h - functions to read and write png files
//

#include <libpng16/png.h>
#include "common.h"

uint32_t addsprite(uint8_t *data, int id, uint32_t width, uint32_t height, uint32_t flags, int *x, int *y);
uint32_t makepng(FILE *xml, FILE *png, uint8_t *data, uint32_t width, uint32_t height, uint32_t flags);
png_byte **readpng(const char *name, uint32_t *width, uint32_t *height);
uint32_t makesprite(png_byte **rows, uint8_t **data, int flags, int x, int y, uint32_t width, uint32_t height);
void pngcleanup(png_byte **rows, int height);

// sprite data functions
uint32_t putspriterow(uint8_t *data, int flags, int y, int width, uint8_t *row);
uint32_t getspriterow(uint8_t *data, uint32_t size, int flags, int y, int width, uint8_t *row);


#endif // ndef _PNG_H
